## r-cran-distributional 0.3.0

=== DESCRIPTION ===
Package: distributional
Title: Vectorised Probability Distributions
Version: 0.3.0
Authors@R: 
    c(person(given = "Mitchell",
             family = "O'Hara-Wild",
             role = c("aut", "cre"),
             email = "mail@mitchelloharawild.com",
             comment = c(ORCID = "0000-0001-6729-7695")),
      person(given = "Matthew",
             family = "Kay",
             role = c("aut"),
             comment = c(ORCID = "0000-0001-9446-0419")),
      person(given = "Alex",
             family = "Hayes",
             role = c("aut"),
             comment = c(ORCID = "0000-0002-4985-5160")),
      person(given = "Earo",
             family = "Wang",
             role = c("ctb"),
             comment = c(ORCID = "0000-0001-6448-5260")))
Description: Vectorised distribution objects with tools for manipulating, 
    visualising, and using probability distributions. Designed to allow model
    prediction outputs to return distributions rather than their parameters, 
    allowing users to directly interact with predictive distributions in a
    data-oriented workflow. In addition to providing generic replacements for
    p/d/q/r functions, other useful statistics can be computed including means,
    variances, intervals, and highest density regions.
License: GPL-3
Imports: vctrs (>= 0.3.0), rlang (>= 0.4.5), generics, ellipsis, stats,
        numDeriv, ggplot2, scales, farver, digest, utils, lifecycle
Suggests: testthat (>= 2.1.0), covr, mvtnorm, actuar (>= 2.0.0), ggdist
RdMacros: lifecycle
URL: https://pkg.mitchelloharawild.com/distributional/,
        https://github.com/mitchelloharawild/distributional
BugReports: https://github.com/mitchelloharawild/distributional/issues
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-01-05 22:44:02 UTC; mitchell
Author: Mitchell O'Hara-Wild [aut, cre]
    (<https://orcid.org/0000-0001-6729-7695>),
  Matthew Kay [aut] (<https://orcid.org/0000-0001-9446-0419>),
  Alex Hayes [aut] (<https://orcid.org/0000-0002-4985-5160>),
  Earo Wang [ctb] (<https://orcid.org/0000-0001-6448-5260>)
Maintainer: Mitchell O'Hara-Wild <mail@mitchelloharawild.com>
Repository: CRAN
Date/Publication: 2022-01-05 23:50:02 UTC

=== debian/changelog ===
r-cran-distributional (0.3.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.3.0
  * Add test-dep on r-cran-mvtnorm

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Jan 2022 23:33:43 +0530

r-cran-distributional (0.2.2-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 13:42:22 +0200

r-cran-distributional (0.2.2-1) unstable; urgency=medium

  * Initial release (closes: #993987)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 13:35:11 +0200

=== debian/control ===
Source: r-cran-distributional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-vctrs,
               r-cran-rlang (>= 0.4.5),
               r-cran-generics,
               r-cran-ellipsis,
               r-cran-numderiv,
               r-cran-ggplot2,
               r-cran-scales,
               r-cran-farver,
               r-cran-digest,
               r-cran-lifecycle
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distributional
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distributional.git
Homepage: https://cran.r-project.org/package=distributional
Rules-Requires-Root: no

Package: r-cran-distributional
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R vectorised probability distributions
 Vectorised distribution objects with tools for manipulating,
 visualising, and using probability distributions. Designed to allow model
 prediction outputs to return distributions rather than their parameters,
 allowing users to directly interact with predictive distributions in a
 data-oriented workflow. In addition to providing generic replacements for
 p/d/q/r functions, other useful statistics can be computed including means,
 variances, intervals, and highest density regions.

## r-cran-distributional 0.3.1

=== debian/changelog ===
r-cran-distributional (0.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 09:01:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,13 @@
                r-cran-vctrs,
                r-cran-rlang (>= 0.4.5),
                r-cran-generics,
-               r-cran-ellipsis,
                r-cran-numderiv,
                r-cran-ggplot2,
                r-cran-scales,
                r-cran-farver,
                r-cran-digest,
                r-cran-lifecycle
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distributional
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distributional.git
 Homepage: https://cran.r-project.org/package=distributional

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-actuar, r-cran-mvtnorm
Restrictions: allow-stderr

## r-cran-distributional 0.3.2

=== debian/changelog ===
r-cran-distributional (0.3.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 12:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-vctrs,
-               r-cran-rlang (>= 0.4.5),
+               r-cran-rlang,
                r-cran-generics,
                r-cran-numderiv,
                r-cran-ggplot2,
@@ -16,7 +16,7 @@
                r-cran-farver,
                r-cran-digest,
                r-cran-lifecycle
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distributional
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distributional.git
 Homepage: https://cran.r-project.org/package=distributional

## r-cran-distributional 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: distributional
 Title: Vectorised Probability Distributions
-Version: 0.3.0
+Version: 0.4.0
 Authors@R: 
     c(person(given = "Mitchell",
              family = "O'Hara-Wild",
@@ -27,18 +27,19 @@
     p/d/q/r functions, other useful statistics can be computed including means,
     variances, intervals, and highest density regions.
 License: GPL-3
-Imports: vctrs (>= 0.3.0), rlang (>= 0.4.5), generics, ellipsis, stats,
-        numDeriv, ggplot2, scales, farver, digest, utils, lifecycle
-Suggests: testthat (>= 2.1.0), covr, mvtnorm, actuar (>= 2.0.0), ggdist
+Imports: vctrs (>= 0.3.0), rlang (>= 0.4.5), generics, stats, numDeriv,
+        utils, lifecycle
+Suggests: testthat (>= 2.1.0), covr, mvtnorm, actuar (>= 2.0.0),
+        ggdist, ggplot2
 RdMacros: lifecycle
 URL: https://pkg.mitchelloharawild.com/distributional/,
         https://github.com/mitchelloharawild/distributional
 BugReports: https://github.com/mitchelloharawild/distributional/issues
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-01-05 22:44:02 UTC; mitchell
+Packaged: 2024-02-07 10:31:01 UTC; mitchell
 Author: Mitchell O'Hara-Wild [aut, cre]
     (<https://orcid.org/0000-0001-6729-7695>),
   Matthew Kay [aut] (<https://orcid.org/0000-0001-9446-0419>),
@@ -46,4 +47,4 @@
   Earo Wang [ctb] (<https://orcid.org/0000-0001-6448-5260>)
 Maintainer: Mitchell O'Hara-Wild <mail@mitchelloharawild.com>
 Repository: CRAN
-Date/Publication: 2022-01-05 23:50:02 UTC
+Date/Publication: 2024-02-07 13:30:02 UTC

=== debian/changelog ===
r-cran-distributional (0.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,6 @@
                r-cran-rlang,
                r-cran-generics,
                r-cran-numderiv,
-               r-cran-ggplot2,
-               r-cran-scales,
-               r-cran-farver,
-               r-cran-digest,
                r-cran-lifecycle
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distributional

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 2.1.0),
        r-cran-covr,
        r-cran-mvtnorm,
        r-cran-actuar (>= 2.0.0),
        r-cran-ggplot2
Restrictions: allow-stderr

## r-cran-distributional 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: distributional
 Title: Vectorised Probability Distributions
-Version: 0.4.0
+Version: 0.5.0
 Authors@R: 
     c(person(given = "Mitchell",
              family = "O'Hara-Wild",
@@ -15,10 +15,18 @@
              family = "Hayes",
              role = c("aut"),
              comment = c(ORCID = "0000-0002-4985-5160")),
+      person(given = "Rob",
+             family = "Hyndman",
+             role = c("aut"),
+             comment = c(ORCID = "0000-0002-2140-5352")),
       person(given = "Earo",
              family = "Wang",
              role = c("ctb"),
-             comment = c(ORCID = "0000-0001-6448-5260")))
+             comment = c(ORCID = "0000-0001-6448-5260")),
+      person(given = "Vencislav",
+             family = "Popov",
+             role = c("ctb"),
+             comment = c(ORCID = "0000-0002-8073-4199")))
 Description: Vectorised distribution objects with tools for manipulating, 
     visualising, and using probability distributions. Designed to allow model
     prediction outputs to return distributions rather than their parameters, 
@@ -28,23 +36,25 @@
     variances, intervals, and highest density regions.
 License: GPL-3
 Imports: vctrs (>= 0.3.0), rlang (>= 0.4.5), generics, stats, numDeriv,
-        utils, lifecycle
-Suggests: testthat (>= 2.1.0), covr, mvtnorm, actuar (>= 2.0.0),
-        ggdist, ggplot2
+        utils, lifecycle, pillar
+Suggests: testthat (>= 2.1.0), covr, mvtnorm, actuar (>= 2.0.0), evd,
+        ggdist, ggplot2, gk
 RdMacros: lifecycle
 URL: https://pkg.mitchelloharawild.com/distributional/,
         https://github.com/mitchelloharawild/distributional
 BugReports: https://github.com/mitchelloharawild/distributional/issues
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-02-07 10:31:01 UTC; mitchell
+Packaged: 2024-09-17 05:49:06 UTC; mitchell
 Author: Mitchell O'Hara-Wild [aut, cre]
     (<https://orcid.org/0000-0001-6729-7695>),
   Matthew Kay [aut] (<https://orcid.org/0000-0001-9446-0419>),
   Alex Hayes [aut] (<https://orcid.org/0000-0002-4985-5160>),
-  Earo Wang [ctb] (<https://orcid.org/0000-0001-6448-5260>)
+  Rob Hyndman [aut] (<https://orcid.org/0000-0002-2140-5352>),
+  Earo Wang [ctb] (<https://orcid.org/0000-0001-6448-5260>),
+  Vencislav Popov [ctb] (<https://orcid.org/0000-0002-8073-4199>)
 Maintainer: Mitchell O'Hara-Wild <mail@mitchelloharawild.com>
 Repository: CRAN
-Date/Publication: 2024-02-07 13:30:02 UTC
+Date/Publication: 2024-09-17 06:20:02 UTC

=== debian/changelog ===
r-cran-distributional (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 15:41:48 +0900

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                r-cran-rlang,
                r-cran-generics,
                r-cran-numderiv,
-               r-cran-lifecycle
-Standards-Version: 4.6.2
+               r-cran-lifecycle,
+               r-cran-pillar
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distributional
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distributional.git
 Homepage: https://cran.r-project.org/package=distributional

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,6 @@
         r-cran-covr,
         r-cran-mvtnorm,
         r-cran-actuar (>= 2.0.0),
+        r-cran-evd,
         r-cran-ggplot2
 Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/distributional_([-\d.]*)\.tar\.gz

## r-cran-distributional 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: distributional
 Title: Vectorised Probability Distributions
-Version: 0.5.0
+Version: 0.6.0
 Authors@R: 
     c(person(given = "Mitchell",
              family = "O'Hara-Wild",
@@ -35,26 +35,27 @@
     p/d/q/r functions, other useful statistics can be computed including means,
     variances, intervals, and highest density regions.
 License: GPL-3
+Depends: R (>= 4.0.0)
 Imports: vctrs (>= 0.3.0), rlang (>= 0.4.5), generics, stats, numDeriv,
         utils, lifecycle, pillar
 Suggests: testthat (>= 2.1.0), covr, mvtnorm, actuar (>= 2.0.0), evd,
-        ggdist, ggplot2, gk
+        ggdist, ggplot2, gk, pkgdown
 RdMacros: lifecycle
 URL: https://pkg.mitchelloharawild.com/distributional/,
         https://github.com/mitchelloharawild/distributional
 BugReports: https://github.com/mitchelloharawild/distributional/issues
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2024-09-17 05:49:06 UTC; mitchell
-Author: Mitchell O'Hara-Wild [aut, cre]
-    (<https://orcid.org/0000-0001-6729-7695>),
-  Matthew Kay [aut] (<https://orcid.org/0000-0001-9446-0419>),
-  Alex Hayes [aut] (<https://orcid.org/0000-0002-4985-5160>),
-  Rob Hyndman [aut] (<https://orcid.org/0000-0002-2140-5352>),
-  Earo Wang [ctb] (<https://orcid.org/0000-0001-6448-5260>),
-  Vencislav Popov [ctb] (<https://orcid.org/0000-0002-8073-4199>)
+Packaged: 2026-01-14 10:04:53 UTC; mitchell
+Author: Mitchell O'Hara-Wild [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6729-7695>),
+  Matthew Kay [aut] (ORCID: <https://orcid.org/0000-0001-9446-0419>),
+  Alex Hayes [aut] (ORCID: <https://orcid.org/0000-0002-4985-5160>),
+  Rob Hyndman [aut] (ORCID: <https://orcid.org/0000-0002-2140-5352>),
+  Earo Wang [ctb] (ORCID: <https://orcid.org/0000-0001-6448-5260>),
+  Vencislav Popov [ctb] (ORCID: <https://orcid.org/0000-0002-8073-4199>)
 Maintainer: Mitchell O'Hara-Wild <mail@mitchelloharawild.com>
 Repository: CRAN
-Date/Publication: 2024-09-17 06:20:02 UTC
+Date/Publication: 2026-01-14 10:50:03 UTC

=== debian/changelog ===
r-cran-distributional (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 08:55:45 +0900

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                r-cran-generics,
                r-cran-numderiv,
                r-cran-lifecycle,
-               r-cran-pillar
-Standards-Version: 4.7.0
+               r-cran-pillar,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distributional
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distributional.git
 Homepage: https://cran.r-project.org/package=distributional

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,6 @@
         r-cran-mvtnorm,
         r-cran-actuar (>= 2.0.0),
         r-cran-evd,
-        r-cran-ggplot2
+        r-cran-ggplot2,
+        r-cran-pkgdown
 Restrictions: allow-stderr
